Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 260847 - media-video/shrip fails to build with _FORTIFY_SOURCE=2
Summary: media-video/shrip fails to build with _FORTIFY_SOURCE=2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Olivier Rolland
URL:
Whiteboard:
Keywords:
Depends on: 251367
Blocks: fortify-source werror
  Show dependency tree
 
Reported: 2009-03-02 11:07 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-07-22 20:31 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (shrip-0.5.0:20090301-224352.log,12.87 KB, text/plain)
2009-03-02 11:08 UTC, Diego Elio Pettenò (RETIRED)
Details
shrip-0.5.0-wur.patch (shrip-0.5.0-wur.patch,951 bytes, patch)
2009-07-22 19:03 UTC, Olivier Rolland
Details | Diff
shrip-0.5.0-werror.patch (shrip-0.5.0-werror.patch,388 bytes, patch)
2009-07-22 19:05 UTC, Olivier Rolland
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-03-02 11:07:40 UTC
Check attached build log and http://blog.flameeyes.eu/2009/02/25/future-proof-your-code-dont-use-werror .
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-03-02 11:08:02 UTC
Created attachment 183668 [details]
Build log
Comment 2 Magnus Granberg gentoo-dev 2009-03-06 00:54:19 UTC
Patch for the -Werror is in bug #251367
Comment 3 Olivier Rolland 2009-07-22 19:03:24 UTC
Created attachment 198824 [details, diff]
shrip-0.5.0-wur.patch
Comment 4 Olivier Rolland 2009-07-22 19:05:11 UTC
Created attachment 198826 [details, diff]
shrip-0.5.0-werror.patch

This patch replaces -Werror with -D_FORTIFY_SOURCE=2.
Comment 5 Gordon Malm (RETIRED) gentoo-dev 2009-07-22 19:16:16 UTC
Unused result patch added and -Werror removed in =media-video/shrip-0.5.0-r1. 
All previous versions mentioned here no longer apply.  Closing bug as FIXED.
Comment 6 Gordon Malm (RETIRED) gentoo-dev 2009-07-22 19:19:55 UTC
Olivier,

The shrip-0.5.0-wur.patch was added in =media-video/shrip-0.5.0-r1, -Werror simply removed.  Adding -D_FORTIFY_SOURCE=2 is not necessary, =sys-devel/gcc-4.3.3-r2 already adds it.
Comment 7 Olivier Rolland 2009-07-22 19:55:50 UTC
But I don't use gcc-4.3.3 ;-)
Comment 8 Gordon Malm (RETIRED) gentoo-dev 2009-07-22 20:31:58 UTC
It doesn't matter.  It's not the correct place to add it in Gentoo and we're not doing it that way for any other packages in the tree.